import Meta, { MetaProps } from "@/components/layouts/Meta";
import React, { ReactElement, ReactNode } from "react";
import { Box, Container } from "@chakra-ui/react";

type LayoutProps = MetaProps & {
  children: ReactNode;
};

const Layout = ({ children, ...meta }: LayoutProps): ReactElement => {
  return (
    <Box as="main" pb={8}>
      <Meta {...meta} />
      <Container maxW="container.md" pt={2}>
        {children}
      </Container>
    </Box>
  );
};

export default Layout;
